.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptDeconstruct.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptDeconstruct:

VisualScriptDeconstruct
=======================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

A Visual Script node which deconstructs a base type instance into its parts.

Member Variables
----------------

  .. _class_VisualScriptDeconstruct_type:

- :ref:`Type<enum_variant_type>` **type** - The type to deconstruct.


Description
-----------

A Visual Script node which deconstructs a base type instance into its parts.

